apasswd
==========

<!---
This file is generated by ape-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]
[![JS Standard][bd_standard_shield_url]][bd_standard_url]

[bd_repo_url]: https://github.com/a-labo/apasswd
[bd_travis_url]: http://travis-ci.org/a-labo/apasswd
[bd_travis_shield_url]: http://img.shields.io/travis/a-labo/apasswd.svg?style=flat
[bd_travis_com_url]: http://travis-ci.com/a-labo/apasswd
[bd_travis_com_shield_url]: https://api.travis-ci.com/a-labo/apasswd.svg?token=
[bd_license_url]: https://github.com/a-labo/apasswd/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/a-labo/apasswd
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/a-labo/apasswd.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/a-labo/apasswd.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/a-labo/apasswd
[bd_gemnasium_shield_url]: https://gemnasium.com/a-labo/apasswd.svg
[bd_npm_url]: http://www.npmjs.org/package/apasswd
[bd_npm_shield_url]: http://img.shields.io/npm/v/apasswd.svg?style=flat
[bd_standard_url]: http://standardjs.com/
[bd_standard_shield_url]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

Password manager

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>



<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/guides/01.Installation.md.hbs" Start -->

<a name="section-doc-guides-01-installation-md"></a>

Installation
-----

```bash
$ npm install apasswd --save
```


<!-- Section from "doc/guides/01.Installation.md.hbs" End -->

<!-- Section from "doc/guides/02.Usage.md.hbs" Start -->

<a name="section-doc-guides-02-usage-md"></a>

Usage
---------

### Generate a New Salt

```Javascript
'use strict'

const apasswd = require('apasswd')
const co = require('co')

co(function * () {
  let salt = yield apasswd.newSalt(24)

  console.log(salt) // -> b8c0faa8df6e43fe9fa2f4a1
}).catch((err) => console.error(err))

```

### Digest Text

```Javascript
'use strict'

const apasswd = require('apasswd')
const co = require('co')

let password = 'm*y*p*a*s*s*w*o*r*d'
let salt = '1234asdf'

co(function * () {
  let hash = yield apasswd.digest(password, salt)
  /* ... */
}).catch((err) => console.error(err))

```

### Advanced Usage

```Javascript
'use strict'

const co = require('co')
// Define a new apasswd context.
const apasswd = require('apasswd').create({
  algorithm: 'pdkdf2', // algorithm for digest.
  iterations: 120, // Iteration count
  length: 84, // Digest key length
  format: 'hex'
})

co(function () {
  let hash = yield apasswd.digest('my_password', 'my_salt')
}).catch((err) => console.error(err))

```



<!-- Section from "doc/guides/02.Usage.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/a-labo/apasswd/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [a-labo][a_labo_url]

[a_labo_url]: https://github.com/a-labo

<!-- Links End -->
